> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# quoteapprovers

> Retrieve the list of all users that can approve quotes

## "quoteapprovers" MDO List

Retrieve the list of all users that can approve quotes

Implemented by the <see cref="T:SuperOffice.CRM.Lists.QuoteApprovers">QuoteApprovers</see> class.
The name of the MDO list is 'quoteapprovers'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/quoteapprovers
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("quoteapprovers", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id  | Name              | StyleHint | ExtraInfo |
| --- | ----------------- | --------- | --------- |
| 11  | Adm0              |           |           |
| 106 | Adm6              |           |           |
| 1   | Admin Adminson    |           |           |
| 8   | Geir Grønbeck     |           |           |
| 86  | Johan Jensen      |           |           |
| 35  | Mar0              |           |           |
| 17  | Sal0              |           |           |
| 61  | SalNS00 NetServer |           |           |
| 29  | Ser0              |           |           |
| 23  | Tje0              |           |           |

## Related MDO Lists

* "quoteapproversheadings"
* "quoteapproversheadingswithallitem"
* "quoteapproversheadingswithallitemwithnoselection"
* "quoteapproversheadingswithnoselection"
* "quoteapproverswithallitem"
* "quoteapproverswithallitemwithnoselection"
* "quoteapproverswithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.QuoteApproveReason](/en/api/reference/webapi/SuperOffice.WebApi.Data.QuoteApproveReason.md)
- [Get All](/en/api/reference/restful/rest/list_quoteapprovereason/get-all.md)
- [Get M D O List](/en/api/reference/restful/rest/list_quoteapprovereason/get-m-d-o-list.md)
- [Set List Definition](/en/api/reference/restful/rest/list_quoteapprovereason/set-list-definition.md)
- [Get List Definition](/en/api/reference/restful/rest/list_quoteapprovereason/get-list-definition.md)
- [Post Quote Approve Reason](/en/api/reference/restful/rest/list_quoteapprovereason/post-quote-approve-reason.md)
